#
# spec file for package libsigc++2 (Version 2.2.3)
#
# Copyright (c) 2009 SUSE LINUX Products GmbH, Nuernberg, Germany.
#
# All modifications and additions to the file contributed by third parties
# remain the property of their copyright owners, unless otherwise agreed
# upon. The license for this file, and modifications and additions to the
# file, is the same license as for the pristine package itself (unless the
# license for the pristine package is not an Open Source License, in which
# case the license is the MIT License). An "Open Source License" is a
# license that conforms to the Open Source Definition (Version 1.9)
# published by the Open Source Initiative.

# Please submit bugfixes or comments via http://bugs.opensuse.org/
#

# norootforbuild


Name:           libsigc++2
%define _name libsigc++
BuildRequires:  gcc-c++
Version:        2.2.3
Release:        1
Group:          Development/Libraries/C and C++
License:        LGPL v2.1 or later
Summary:        Typesafe Signal Framework for C++
Url:            http://libsigc.sourceforge.net/
Source:         %{_name}-%{version}.tar.bz2
AutoReqProv:    on
BuildRoot:      %{_tmppath}/%{name}-%{version}-build

%description
This library implements a full callback system for use in widget
libraries, abstract interfaces, and general programming. It is the most
complete library of its kind with the ablity to connect an abstract
callback to a class method, function, or function object. It contains
adaptor classes for connection of dissimilar callbacks and has an ease
of use unmatched by other C++ callback libraries.



Authors:
--------
    Martin Schulze <mschulze@cvs.gnome.org>
    Murray Cumming <murrayc@murrayc.com>
    Cedric Gustin <cedric.gustin@swing.be>
    Timothy M. Shead <tshead@k-3d.com> and James Lin <jameslin@vmware.com>
    Damien Carbery <Damien.Carbery@Sun.COM>
    Takashi Takekawa <takekawa@users.sourceforge.jp>
    Andreas Rottmann <rottmann@users.sourceforge.net>
    Karl Einar Nelson <kenelson@ece.ucdavis.edu>

%package devel
License:        LGPL v2.1 or later
Group:          Development/Libraries/C and C++
Summary:        Typesafe Signal Framework for C++
Requires:       %{name} = %{version} libstdc++-devel

%description devel
This library implements a full callback system for use in widget
libraries, abstract interfaces, and general programming. It is the most
complete library of its kind with the ability to connect an abstract
callback to a class method, function, or function object. It contains
adaptor classes for connection of dissimilar callbacks and has an ease
of use unmatched by other C++ callback libraries.



Authors:
--------
    Martin Schulze <mschulze@cvs.gnome.org>
    Murray Cumming <murrayc@murrayc.com>
    Cedric Gustin <cedric.gustin@swing.be>
    Timothy M. Shead <tshead@k-3d.com> and James Lin <jameslin@vmware.com>
    Damien Carbery <Damien.Carbery@Sun.COM>
    Takashi Takekawa <takekawa@users.sourceforge.jp>
    Andreas Rottmann <rottmann@users.sourceforge.net>
    Karl Einar Nelson <kenelson@ece.ucdavis.edu>

%prep
%setup -q -n %{_name}-%{version}

%build
# FIXME: Cannot autoreconf, bad templates:
#ACLOCAL="aclocal -I scripts" autoreconf -f -i
%configure --disable-static --with-pic
%{__make} %{?jobs:-j%jobs}

%check
export MALLOC_CHECK_=2 MALLOC_PERTURB_=$((${RANDOM:-256} % 256))
%{__make} check
unset MALLOC_CHECK_ MALLOC_PERTURB_

%install
make DESTDIR=$RPM_BUILD_ROOT libsigc_docdir=%{_docdir}/%{name}/docs install
mkdir -p $RPM_BUILD_ROOT%{_docdir}/%{name}
cp AUTHORS COPYING ChangeLog NEWS README TODO $RPM_BUILD_ROOT%{_docdir}/%{name}
mkdir -p $RPM_BUILD_ROOT%{_docdir}/%{name}/examples
cp examples/{Makefile,*.cc} $RPM_BUILD_ROOT%{_docdir}/%{name}/examples
mkdir -p $RPM_BUILD_ROOT%{_docdir}/%{name}/tests
cp tests/{Makefile,*.cc} $RPM_BUILD_ROOT%{_docdir}/%{name}/tests
rm -f %{buildroot}%{_libdir}/*.la

%clean
rm -rf $RPM_BUILD_ROOT

%post -p /sbin/ldconfig

%postun -p /sbin/ldconfig

%files
%defattr (-, root, root)
%doc %dir %{_docdir}/%{name}
%doc %{_docdir}/%{name}/AUTHORS
%doc %{_docdir}/%{name}/COPYING
%doc %{_docdir}/%{name}/ChangeLog
%doc %{_docdir}/%{name}/NEWS
%doc %{_docdir}/%{name}/README
%doc %{_docdir}/%{name}/TODO
%{_libdir}/*.so.*

%files devel
%defattr (-, root, root)
%doc %{_docdir}/%{name}/examples
%doc %{_docdir}/%{name}/docs
%doc %{_docdir}/%{name}/tests
%{_libdir}/*.so
%{_libdir}/pkgconfig/*.pc
%{_libdir}/sigc++-2.0
%{_includedir}/*

%changelog
* Fri Jan 23 2009 vuntz@novell.com
- Drop libsigc++2-gcc43.patch: seems to build fine without it now.
* Sat Dec 20 2008 mboman@suse.de
- Update to version 2.2.3:
  - Added project files (and property sheets) for
  MSVC++ 2005 and 2008.
  - Removed unnecessary dependency on afxrefs.h, so it builds
  with MSVC++ Express editions.
* Sun Sep 14 2008 crrodriguez@suse.de
- remove static libraries and useless "la" file
- run test suite
* Thu Apr 10 2008 ro@suse.de
- added baselibs.conf file to build xxbit packages
  for multilib support
* Wed Apr 02 2008 rodrigo@suse.de
- Update to version 2.2.2:
  * Added an include of functors/slot.h that was mistakenly removed
  during the 2.1 series (bgo#521418)
* Fri Oct 12 2007 rguenther@suse.de
- Add patch to fix C++ problems, enables building with GCC 4.3.
* Wed Sep 19 2007 sbrabec@suse.cz
- Updated to version 2.0.18:
  * Fix a build error in the examples, on Sun CC.
* Tue Jan 23 2007 ro@suse.de
- drop requires for gnome-filesystem
* Fri Jan 12 2007 sbrabec@suse.cz
- Spec file cleanup.
* Mon Dec 18 2006 maw@suse.de
- Move to /usr.
* Wed Jan 25 2006 mls@suse.de
- converted neededforbuild to BuildRequires
* Tue Jan 17 2006 lmichnovic@suse.cz
- Updated to version 2.0.17
* Thu Aug 04 2005 sbrabec@suse.cz
- Updated to version 2.0.16.
* Mon Jun 13 2005 sbrabec@suse.cz
- Updated to version 2.0.14.
* Thu Feb 10 2005 sbrabec@suse.cz
- Updated to version 2.0.6 (branch 2.0).
* Mon Feb 23 2004 ro@suse.de
- fix pkgconfig file on lib64
* Wed Feb 18 2004 ro@suse.de
- fix build on recent platforms by running autoreconf
  (configure.in hacks from libsigc++ package)
* Fri Feb 13 2004 sbrabec@suse.cz
- Initial SuSE package version 1.2.5.
